%ul#notes-list.notes.main-notes-list.timeline
  = render "shared/notes/notes"

= render 'projects/notes/edit_form'

%ul.notes.notes-form.timeline
  %li.timeline-entry
    .flash-container.timeline-content

    - if can? current_user, :create_note, @project
      .timeline-icon.hidden-xs.hidden-sm
        %a.author_link{ href: user_path(current_user) }
          = image_tag avatar_icon(current_user), alt: current_user.to_reference, class: 'avatar s40'
      .timeline-content.timeline-content-form
        = render "projects/notes/form", view: diff_view
    - elsif !current_user
      .disabled-comment.text-center
        .disabled-comment-text.inline
          Please
          = link_to "register", new_session_path(:user, redirect_to_referer: 'yes')
          or
          = link_to "sign in", new_session_path(:user, redirect_to_referer: 'yes')
          to post a comment

:javascript
  var notes = new Notes("#{namespace_project_noteable_notes_path(namespace_id: @project.namespace, project_id: @project, target_id: @noteable.id, target_type: @noteable.class.name.underscore)}", #{@notes.map(&:id).to_json}, #{Time.now.to_i}, "#{diff_view}")
